/***************************************************************************
                          plugin.cpp  -  description
                             -------------------
    begin                : Sun Dec 30 2001
    copyright            : (C) 2001 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "plugin.h"
#include "helpdialog.h"

#include <tqpixmap.h>

Plugin::Plugin() 
{ 
    m_widget = NULL;
}

Plugin::~Plugin() 
{ 
    delete m_widget;
}

void Plugin::addHelp( HelpDialogData* ) { }
void Plugin::removeHelp(  HelpDialogData* data ) 
{ 
    data->remove( getName() );
}

bool Plugin::alwaysUsed() const 
{
    return false;
}

const TQStringList Plugin::getKeys() const
{
    return TQStringList();
}

const TQString Plugin::getPattern() const
{
    return TQString();
};

const TQPixmap Plugin::getIcon() const
{
    return TQPixmap();
}

void Plugin::clearCache()
{
    // do nothing...
}

#include "plugin.moc"
